aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/function/ansible.sh
diff options
context:
space:
mode:
Diffstat (limited to 'resources/libraries/bash/function/ansible.sh')
-rw-r--r--resources/libraries/bash/function/ansible.sh54
1 files changed, 41 insertions, 13 deletions
diff --git a/resources/libraries/bash/function/ansible.sh b/resources/libraries/bash/function/ansible.sh
index 1263412dd5..6cf4d16f43 100644
--- a/resources/libraries/bash/function/ansible.sh
+++ b/resources/libraries/bash/function/ansible.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2024 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -22,10 +22,23 @@ function ansible_adhoc () {
#
# Variable read:
# - ${WORKING_TOPOLOGY} - Reserved working topology.
- # - ${TOOLS_DIR} - CSIT tools directory, where testbed-setup is located.
+ # - ${CSIT_DIR} - CSIT main directory, where ansible playbooks are located.
+ # - ${FLAVOR} - Node flavor string, see common.sh
set -exuo pipefail
+ case "$FLAVOR" in
+ "aws" | "c6in" | "c6gn" | "c7gn")
+ INVENTORY_PATH="cloud_inventory"
+ ;;
+ "x-"*)
+ INVENTORY_PATH="external_inventory"
+ ;;
+ *)
+ INVENTORY_PATH="lf_inventory"
+ ;;
+ esac
+
if ! installed sshpass; then
die "Please install sshpass!"
fi
@@ -33,13 +46,14 @@ function ansible_adhoc () {
hosts=($(fgrep host "${WORKING_TOPOLOGY}" | cut -d ":" -f 2)) || {
die "Failed to read hosts from working topology!"
}
- pushd "${TOOLS_DIR}"/testbed-setup/ansible || die "Pushd failed!"
- ANSIBLE_STDOUT_CALLBACK=yaml \
- ANSIBLE_PIPELINING=true \
- ansible \
+ pushd "${CSIT_DIR}"/fdio.infra.ansible || die "Pushd failed!"
+ export ANSIBLE_HOST_KEY_CHECKING=False
+ export ANSIBLE_STDOUT_CALLBACK=yaml
+ export ANSIBLE_PIPELINING=true
+ ansible-playbook \
--vault-password-file=vault_pass \
--extra-vars '@vault.yml' \
- --inventory inventories/lf_inventory/hosts site.yaml \
+ --inventory inventories/$INVENTORY_PATH/hosts site.yaml \
--limit "$(echo ${hosts[@]//\"})" \
--module-name shell \
--args \"$(echo $@)\" || die "Failed to run ansible on host!"
@@ -53,10 +67,23 @@ function ansible_playbook () {
#
# Variable read:
# - ${WORKING_TOPOLOGY} - Reserved working topology.
- # - ${TOOLS_DIR} - CSIT tools directory, where testbed-setup is located.
+ # - ${CSIT_DIR} - CSIT main directory, where ansible playbooks are located.
+ # - ${FLAVOR} - Node flavor string, see common.sh
set -exuo pipefail
+ case "$FLAVOR" in
+ "aws" | "c6in" | "c6gn" | "c7gn")
+ INVENTORY_PATH="cloud_inventory"
+ ;;
+ "x-"*)
+ INVENTORY_PATH="external_inventory"
+ ;;
+ *)
+ INVENTORY_PATH="lf_inventory"
+ ;;
+ esac
+
if ! installed sshpass; then
die "Please install sshpass!"
fi
@@ -64,13 +91,14 @@ function ansible_playbook () {
hosts=($(fgrep host "${WORKING_TOPOLOGY}" | cut -d ":" -f 2)) || {
die "Failed to read hosts from working topology!"
}
- pushd "${TOOLS_DIR}"/testbed-setup/ansible || die "Pushd failed!"
- ANSIBLE_STDOUT_CALLBACK=yaml \
- ANSIBLE_PIPELINING=true \
- ansible-playbook \
+ pushd "${CSIT_DIR}"/fdio.infra.ansible || die "Pushd failed!"
+ export ANSIBLE_HOST_KEY_CHECKING=False
+ export ANSIBLE_STDOUT_CALLBACK=yaml
+ export ANSIBLE_PIPELINING=true
+ ansible-playbook \
--vault-password-file=vault_pass \
--extra-vars '@vault.yml' \
- --inventory inventories/lf_inventory/hosts site.yaml \
+ --inventory inventories/$INVENTORY_PATH/hosts site.yaml \
--limit "$(echo ${hosts[@]//\"})" \
--tags "$(echo $@)" || die "Failed to run ansible on host!"
popd || die "Popd failed!"